Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.compiler
Class SaxonContext

    java.lang.Object
      net.sf.saxon.xpath.StandaloneContext
          org.apache.ode.bpel.elang.xpath20.compiler.SaxonContext

All Implemented Interfaces:
  net.sf.saxon.expr.StaticContext, net.sf.saxon.om.NamespaceResolver

    public class SaxonContext

extends net.sf.saxon.xpath.StandaloneContext

Hooks on Saxon StandaloneContext to be notified when the compilation finds some variables and functions. This allows us to prepare the OXpathExpression with variable references and all the things needed at runtime.

Constructor Summary
`SaxonContext(net.sf.saxon.Configuration config, JaxpVariableResolver varResolver, JaxpFunctionResolver funcResolver)`

Method Summary
`net.sf.saxon.expr.VariableReference` | `bindVariable(int fingerprint)`
`net.sf.saxon.trans.Variable` | `declareVariable(java.lang.String qname, java.lang.Object initialValue)`

Methods inherited from class net.sf.saxon.xpath.StandaloneContext
`clearAllNamespaces, clearNamespaces, declareCollation, declareNamespace, getBaseURI, getCollation, getConfiguration, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getImportedSchemaNamespaces, getLineNumber, getLocationMap, getNamePool, getNamespaceContext, getNamespaceResolver, getStackFrameMap, getSystemId, getURIForPrefix, getURIForPrefix, getXPathFunctionResolver, getXPathVariableResolver, importSchema, isAllowedBuiltInType, isImportedSchema, isInBackwardsCompatibleMode, issueWarning, iteratePrefixes, makeEarlyEvaluationContext, setBackwardsCompatibilityMode, setBaseURI, setDefaultElementNamespace, setDefaultFunctionNamespace, setFunctionLibrary, setLocationMap, setNamespaceContext, setNamespaces, setXPathFunctionResolver, setXPathVariableResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonContext

    public SaxonContext(net.sf.saxon.Configuration config,
                        JaxpVariableResolver varResolver,
                        JaxpFunctionResolver funcResolver)

Method Detail

### declareVariable

    public net.sf.saxon.trans.Variable declareVariable(java.lang.String qname,
                                                       java.lang.Object initialValue)
                                                throws net.sf.saxon.trans.XPathException

  Overrides:
    `declareVariable` in class `net.sf.saxon.xpath.StandaloneContext`
  Throws:
    `net.sf.saxon.trans.XPathException`

### bindVariable

    public net.sf.saxon.expr.VariableReference bindVariable(int fingerprint)
                                                     throws net.sf.saxon.trans.StaticError

  Specified by:
    `bindVariable` in interface `net.sf.saxon.expr.StaticContext`
  Overrides:
    `bindVariable` in class `net.sf.saxon.xpath.StandaloneContext`
  Throws:
    `net.sf.saxon.trans.StaticError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD